Change reminder
curl --request PATCH \
--url https://api.whirl.sh/api/v1/reminders/{reminderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"firesAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.whirl.sh/api/v1/reminders/{reminderId}"
payload = {
"message": "<string>",
"firesAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', firesAt: '2023-11-07T05:31:56Z'})
};
fetch('https://api.whirl.sh/api/v1/reminders/{reminderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}Reminders
Change reminder
Change a reminder’s message or time.
PATCH
/
reminders
/
{reminderId}
Change reminder
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Reminder id from list_reminders or create_reminder.
Required string length:
1 - 64Body
application/json
What the task's agent should do or check when the reminder fires.
Required string length:
1 - 4096When the reminder fires: ISO date-time with offset (2026-10-01T09:00:00+02:00), in the future and at most 30 days ahead.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Response
Success
The response is of type object.

